Package: org.gmetrics.report

## [Groovy] Class BasicHtmlReportWriter

- org.gmetrics.report.BasicHtmlReportWriter

- ReportWriter that generates a basic HTML report. The HTML includes a table containing a row for each package, class and method, and the metric values for each Metric within the passed-in MetricSet.

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static def` | `DEFAULT_OUTPUT_FILE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReportWriter` | `BASE_MESSAGES_BUNDLE, CUSTOM_MESSAGES_BUNDLE, GMETRICS_URL, LOG, customMessagesBundleName, formatterFactory, formatters, getTimestamp, initializeResourceBundle, resourceBundle`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static def` | `defaultOutputFile`
    `String` | `title`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getDescriptionForMetricName(String metricName)`
    `` | `void` | `setReportLevels(String levels)`
    `` | `protected void` | `writeReport(Writer writer, ResultsNode resultsNode, AnalysisContext analysisContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReportWriter` | `formatMetricResultValue, getFormattedTimestamp, getResourceBundleString, getResourceBundleStringOrNull, initializeDefaultResourceBundle, initializeFormatters, writeReport, writeReport`

- - ### Field Detail

    - #### public static final def DEFAULT_OUTPUT_FILE

  - ### Property Detail

    - #### static def defaultOutputFile

    - #### String title

  - ### Method Detail

    - #### protected String getDescriptionForMetricName(String metricName)

    - #### void setReportLevels(String levels)

    - #### @Override protected void writeReport(Writer writer, ResultsNode resultsNode, AnalysisContext analysisContext)